GuideLab API

Generate Statement

Generate a new statement for a clinic with outstanding or activity data. Lab-only. Automatically calculates aged balances, line items, and running totals.

POST
/statements

Generate a new statement for a clinic with outstanding or activity data. Lab-only. Automatically calculates aged balances, line items, and running totals.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/statements" \  -H "Content-Type: application/json" \  -d '{    "partnershipId": "string",    "currency": "GBP"  }'
{  "success": true,  "statementId": "string",  "statementNumber": "string"}
{  "error": "string"}
{  "error": "string"}